﻿@model IEnumerable<App.Web.Models.Sucursal>

@{
    ViewData["Title"] = "Cusursales de bancos";
}

<h2>Listado de sucursales</h2>

<p>
    <a asp-action="Create" class="btn btn-primary btn-sm">Nueva sucursal</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                Código sucursal
            </th>
            <th>
                Sucursal
            </th>
            <th>
                Banco
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Direccion)
            </th>
            <th></th>
            <th></th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.SucursalId)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Nombre)

                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Banco.Nombre)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Direccion)
                </td>
                <td>
                    @Html.ActionLink("Editar", "Edit", new { id = item.SucursalId }, new { @class = "btn btn-primary btn-sm" })
                </td>
                <td>
                    @Html.ActionLink("Detalle", "Details", new { id = item.SucursalId }, new { @class = "btn btn-info btn-sm" })
                </td>
                <td>
                    @Html.ActionLink("Eliminar", "Delete", new { id = item.SucursalId }, new { @class = "btn btn-danger btn-sm" })
                </td>
            </tr>
        }
    </tbody>
</table>
